from cocos.scene import Scene
from pyglet import clock
import logging
log = logging.getLogger('LevelComplete')
        
class LevelCompleteScene(Scene):
    def __init__(self, score):
        super(LevelCompleteScene, self).__init__()
        self.score = score
        
    def on_enter(self):
        log.debug("LevelCompleteScene::on_enter")
        super(LevelCompleteScene, self).on_enter()
        clock.schedule_once(self.GoBack, 5)

    def GoBack(self, dt):
        log.debug("LevelCompleteScene::GoBack")
        self.end()
